Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class OperatingSystem

`java.lang.Object
oracle.ovs.api.datamodel.OperatingSystem`

All Implemented Interfaces:
  java.io.Serializable

      public class OperatingSystem

extends java.lang.Object
implements java.io.Serializable

Operating system data model.

See Also:
  Serialized Form

Constructor Summary
`OperatingSystem()`

Method Summary
`java.lang.String` | `getOsArch()`
`java.lang.String` | `getOsCode()`
`java.lang.Long` | `getOsId()`
`java.lang.String` | `getOsName()`
`java.lang.String` | `getOsType()`
`void` | `setOsArch(java.lang.String osArch)`
`void` | `setOsCode(java.lang.String osCode)`
`void` | `setOsId(java.lang.Long osId)`
`void` | `setOsName(java.lang.String osName)`
`void` | `setOsType(java.lang.String osType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatingSystem

    public OperatingSystem()

Method Detail

### setOsId

    public void setOsId(java.lang.Long osId)

### getOsId

    public java.lang.Long getOsId()

### setOsName

    public void setOsName(java.lang.String osName)

### getOsName

    public java.lang.String getOsName()

### setOsType

    public void setOsType(java.lang.String osType)

### getOsType

    public java.lang.String getOsType()

### setOsCode

    public void setOsCode(java.lang.String osCode)

### getOsCode

    public java.lang.String getOsCode()

### setOsArch

    public void setOsArch(java.lang.String osArch)

### getOsArch

    public java.lang.String getOsArch()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.